Subject: [netmod] Comments on instance data draft rev -02

From: Joe Clarke <[email-masked]>
Date: Mon, 25 Mar 2019 09:29:55 -0400

First, I agree with Jürgen that the "target" terminology confused me,
especially so given you have target-module and inline-target-spec.  Like
Jürgen and Rob said, "schema" seems to work better.  And maybe
"inline-schema-module-spec" would be clearer that the spec modifies the
modules from which the schema is generated.

To the point about yang-data-ext/structure, I see instance data was very
useful, but it's a must to be able to augment its metadata.  YANG
Catalog would use that.  If this draft moves forward without
sx:structure, then I think it would need to be straight YANG so that
augments will work (i.e., a schema element would exist to augment).

A few other comments (minor):

Section 2.1:

"P2 Re-use existing formats similar to the <get> operation/request"

Isn't the format similar to a <get> _response_ versus the request?

===

Section 3

s/and and/and/

Joe

---

From: "Reshad Rahman (rrahman)" <[email-masked]>
Date: Mon, 25 Mar 2019 13:37:00 +0000

+1 on schema, and the -ptr part added to my confusion.

Minor comment (which the authors probably know already): s/yang-data/structure/

Regards,
Reshad.

On 2019-03-25, 2:30 PM, "netmod on behalf of Joe Clarke" <[email-masked] on behalf of [email-masked]> wrote:

    
    
    Section 2.1:

    
    ===
    
    Section 3
    
    s/and and/and/
    
    Joe
    
    _______________________________________________
    netmod mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/netmod

---

From: Martin Bjorklund <[email-masked]>
Date: Mon, 25 Mar 2019 14:52:00 +0100 (CET)

> First, I agree with Jürgen that the "target" terminology confused me,

+1

> Jürgen and Rob said, "schema" seems to work better.

Since we have "content-data", perhaps use "content-schema"?

And a question:  why is the "name" leaf mandatory?

/martin

> And maybe

---

From: Joe Clarke <[email-masked]>
Date: Mon, 25 Mar 2019 09:53:03 -0400

> Since we have "content-data", perhaps use "content-schema"?

I like this.  It definitely clarifies things for me.

Joe

---

From: Joe Clarke <[email-masked]>
Date: Mon, 25 Mar 2019 09:54:49 -0400

> Isn't the format similar to a <get> _response_ versus the request?

One other nit I just noticed.  While I appreciate being acknowledged, my
last name has an 'e' at the end: Joe Clarke.  :-)

Joe

---

From: Balázs Lengyel <[email-masked]>
Date: Mon, 25 Mar 2019 22:08:49 +0000

On 2019. 03. 25. 14:29, Joe Clarke
wrote:

BALAZS: Fully agree. As it is more correct to
use data-ext/structure I will keep it that way. If there is  a
problem I will make it "straight" yang. I don't see "structure" as
vital, but somewhat more correct.

Section 2.1:

BALAZS: Will be corrected.

===

Section 3

s/and and/and/

BALAZS: corrected

Joe

--
Balazs Lengyel Ericsson Hungary Ltd.
Senior Specialist
Mobile: +36-70-330-7909 email: [email-masked]

---

From: Balázs Lengyel <[email-masked]>
Date: Mon, 25 Mar 2019 22:36:42 +0000

While I agree that target might not be the best name, I want a
name that describes that

"these are the modules I am providing instance data for".

I propose to use the terms:

"content-schema" and "content defining Yang
module(s)" (Sometimes I need to refer them
individually.)

Just schema is a too generic word. It does not tell you which
schema are we speaking about? The schema for
ietf-yang-instance-data,or  the schema just for the content part?
Are we speaking about individual modules or the collection of all
target modules?

regards Balazs

---

From: Balázs Lengyel <[email-masked]>
Date: Mon, 25 Mar 2019 22:39:46 +0000

I wanted to have an identifier for a particular instance-data-set.
name+revision-date OR timestamp should serve that purpose.

While it would be possible to use this without a name, IMHO that would 
be a very bad practice.

Balazs

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Tue, 26 Mar 2019 00:17:44 +0100

For me, it seems obvious that we talk about the schema of the instance
data (content). (The other schema defining the format of the instance
data file is fixed and it would be pointless to include it.) Anyway,
we should look at the existing definitions. RFC 8342 defines:

   o  datastore schema: The combined set of schema nodes for all modules
      supported by a particular datastore, taking into consideration any
      deviations and enabled features for that datastore.

So perhaps you want to define the term 'instance data schema' or
something like that. Within the model, however, I would prefer to use
simple and short names, that is s/target/schema/.

/js

On Mon, Mar 25, 2019 at 10:36:42PM +0000, Balázs Lengyel wrote:
>    While I agree that target might not be the best name, I want a name that
>    describes that
>    "content-schema" and "content defining Yang module(s)" (Sometimes I need
>    to refer them individually.)
> 
> 
>    Just schema is a too generic word. It does not tell you which schema are
>    we speaking about? The schema for� ietf-yang-instance-data,or� the schema
>    just for the content part? Are we speaking about individual modules or the
>    collection of all target modules?
> 
>    regards Balazs
> 
>    On 2019. 03. 25. 14:29, Joe Clarke wrote:
> 
>  First, I agree with J�rgen that the "target" terminology confused me,
>  J�rgen and Rob said, "schema" seems to work better.  And maybe
>  Mobile: +36-70-330-7909              email: [1][email-masked]
> 
> References
> 
>    Visible links
>    1. mailto:[email-masked]

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <https://www.jacobs-university.de/>